/*
 *  nwlsconn.c
 *
 *  Copyright (C) 1995 by Volker Lendecke
 *
 */

#include <stdio.h>
#include <string.h>
#include <signal.h>
#include <sys/ioctl.h>
#include <fcntl.h>
#include <errno.h>
#include <ctype.h>
#include <stdlib.h>
#include <unistd.h>
#include <pwd.h>
#include <sys/types.h>

#include "ncplib.h"

void
main(void)
{
	struct ncp_ioctl_conn conn;
	struct passwd *pwd;

	conn.connection = NCP_NO_CONNECTION;

	if (isatty(1))
	{
		printf("\n%-30s %-30s %s\n"
		       "-----------------------------------------------"
		       "---------------------------\n",
		       "Server Name",
		       "NetWare Login Name",
		       "Conn. Owner");
	}

	while (ncp_list_conn(&conn) == 0)
	{
		pwd = getpwuid(conn.uid);
		printf("%-30s %-30s %s\n", conn.server, conn.user,
		       pwd == NULL ? "<unknown>" : pwd->pw_name);
	}
}
